Bug 134549 - text install doesn't have selinux config dialog
text install doesn't have selinux config dialog
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 11:36 EDT by Chris Ricker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 23:15:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.log (11.57 KB, text/plain)
2004-10-04 16:15 EDT, Chris Ricker
no flags Details

  None (edit)
Description Chris Ricker 2004-10-04 11:36:46 EDT
GUI installs have a dialog, after the firewall config stuff, for
selinux configuration (disabled, which policy if enabled, etc)

Text installs (ftp on x86_64) don't have this....
Comment 1 Jeremy Katz 2004-10-04 12:02:26 EDT
It does for me... shows up as a separate screen right after the
firewall.  Is it not showing up there for you?  Did you boot with
selinux=0 (if you do, then I optimize the screen out).
Comment 2 Chris Ricker 2004-10-04 12:13:09 EDT
Nope, no selinux screen anywhere

I'm just using

linux text

to start the installer
Comment 3 Jeremy Katz 2004-10-04 13:06:51 EDT
Just double checked with today's rawhide and it works fine here.  Can
you grab /tmp/anaconda.log and attach it?
Comment 4 Chris Ricker 2004-10-04 16:14:25 EDT
It says

* Unable to load suitable SELinux policy
* failed to load policy, disabling SELinux


* moving (1) to step firewall
* selinux disabled, not showing selinux config screen
* moving (1) to step languagesupport
Comment 5 Chris Ricker 2004-10-04 16:15:36 EDT
Created attachment 104744 [details]

complete log file
Comment 6 Jeremy Katz 2004-10-04 16:27:54 EDT
What tree are you installing?  Can you switch to tty2 and look at the
contents of /selinux/policyvers (you may have to do mount -t selinuxfs
none /selinux first)?  Also, what are the contents of /etc/selinux?
Comment 7 Chris Ricker 2004-10-04 16:43:49 EDT
I've seen this with both the 20041001 and 20041004 x86_64 development

/selinux/policyvers during install is 18 (and it's automounted)

Oh, this is interesting -- /etc/selinux during install is a dangling
symlink to /mnt/runtime/etc/selinux

I'm starting the install off of the boot.iso in the images/ directory,
and then using ftp as the method....
Comment 8 Jeremy Katz 2004-10-04 17:16:56 EDT
Figured it out.  Fixed in CVS.
Comment 9 Chris Ricker 2004-12-08 23:15:35 EST
closing, fixed. thanks!

Note You need to log in before you can comment on or make changes to this bug.